Get fiat deposit
curl --request GET \
--url https://sg.sandbox.api.reap.global/fiat-deposits/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/fiat-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/fiat-deposits/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "20240115HKHHXXXX000123456",
"status": "SETTLED",
"amount": 100.5,
"currency": "USD",
"originalAmount": 100.5,
"originalCurrency": "USD",
"senderName": "COMPANY LIMITED",
"reference": "INV-2024-0142",
"occurredAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "FIAT_DEPOSIT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Fiat Deposits
Get fiat deposit
Retrieves a fiat deposit credited to an account, including the amount as received by the bank and the amount credited.
GET
/
fiat-deposits
/
{id}
Get fiat deposit
curl --request GET \
--url https://sg.sandbox.api.reap.global/fiat-deposits/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/fiat-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/fiat-deposits/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "20240115HKHHXXXX000123456",
"status": "SETTLED",
"amount": 100.5,
"currency": "USD",
"originalAmount": 100.5,
"originalCurrency": "USD",
"senderName": "COMPANY LIMITED",
"reference": "INV-2024-0142",
"occurredAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "FIAT_DEPOSIT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Required scope: FIAT_DEPOSITS_READ
Headers
Response
Fiat deposit resource